Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.nameWatch
Class EPPNameWatchInfoResp

    java.lang.Object
      com.verisign.epp.codec.gen.EPPResponse
          com.verisign.epp.codec.nameWatch.EPPNameWatchInfoResp

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPNameWatchInfoResp

extends EPPResponse

Represents an EPP NameWatch <nameWatch:infData> response to an `EPPNameWatchInfoCmd`. When an <info> command has been processed successfully, the EPP <resData> element MUST contain a child <nameWatch:infData> element that identifies the nameWatch namespace and the location of the nameWatch schema. The <nameWatch:infData> element contains the following child elements:

- A <nameWatch:name> element that contains the fully qualified name of the nameWatch. Use `getName` and `setName` to get and set the element.
- A <nameWatch:roid> element that contains the Repository Object IDentifier assigned to the nameWatch object when the object was created. Use `getRoid` and `setRoid` to get and set the element.
- A <nameWatch:registrant> elements that contain identifiers for the human or organizational social information objects associated with the nameWatch object. Use `getRegistrant` and `setRegistrant` to get and set the element.
- A <nameWatch> element that contains the report to descriptors associated with the nameWatch. See the `EPPNameWatchRptTo` description for detail. Use `getRptTo` and `setRptTo` to get and set the element.
- One or more <nameWatch:status> elements that contain the current status descriptors associated with the nameWatch. See the `EPPNameWatchStatus` description for a list of valid status values. Use `getStatus` and `setStatus` to get and set the elements.
- A <nameWatch:clID> element that contains the identifier of the sponsoring client. Use `getClientId` and `setClientId` to get and set the element.
- A <nameWatch:crID> element that contains the identifier of the client that created the nameWatch name. Use `getCreatedBy` and `setCreatedBy` to get and set the element.
- A <nameWatch:crDate> element that contains the date and time of nameWatch creation. Use `getCreatedDate` and `setCreatedDate` to get and set the element.
- An OPTIONAL <nameWatch:upID> element that contains the identifier of the client that last updated the nameWatch name. This element MUST NOT be present if the nameWatch has never been modified. Use `getLastUpdatedBy` and `setLastUpdatedBy` to get and set the element.
- An OPTIONAL <nameWatch:upDate> element that contains the date and time of the most recent nameWatch modification. This element MUST NOT be present if the nameWatch has never been modified. Use `getLastUpdatedDate` and `setLastUpdatedDate` to get and set the element.
- A <nameWatch:exDate> element that contains the date and time identifying the end of the nameWatch's registration period. Use `getExpirationDate` and `setExpirationDate` to get and set the element.
- An OPTIONAL <nameWatch:trDate> elements that contains the date and time of the most recent successful transfer. This element MUST NOT be provided if the nameWatch has never been transferred. Use `getLastTransferDate` and `setLastTransferDate` to get and set the element.
- An OPTIONAL <nameWatch:authInfo> element that contains authorization information associated with the nameWatch object. This element MUST NOT be provided if the querying client is not the current sponsoring client. Use `getAuthInfo` and `setAuthInfo` to get and set the elements.

Version:
  $Revision: 1.1.1.1 $
Author:
  $Author: jim $
See Also:
  `EPPNameWatchInfoCmd`, Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPResponse
`extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

Constructor Summary
`EPPNameWatchInfoResp()` `EPPNameWatchInfoResp` default constructor.
`EPPNameWatchInfoResp(EPPTransId aTransId, java.lang.String aName)` `EPPNameWatchInfoResp` default constructor.
`EPPNameWatchInfoResp(EPPTransId aTransId, java.lang.String aName, java.lang.String aRoid, java.lang.String aClientId)` `EPPNameWatchInfoResp` constuctor that takes the required attribute values as parameters.
`EPPNameWatchInfoResp(EPPTransId aTransId, java.lang.String aName, java.lang.String aRoid, java.lang.String aRegistrant, EPPNameWatchRptTo aRptTo, java.util.Vector someStatuses, java.lang.String aClientId, java.lang.String aCreatedBy, java.util.Date aCreatedDate, java.util.Date aExpirationDate)` `EPPNameWatchInfoResp` constuctor that takes the required and most used optional attribute values as parameters.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPNameWatchInfoResp`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPNameWatchInfoResp` attributes from the aElement DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPNameWatchInfoResp` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPNameWatchInfoResp` with this instance.
`EPPAuthInfo` | `getAuthInfo()` Gets authorization information
`java.lang.String` | `getClientId()` Gets the nameWatch owning Client Id.
`java.lang.String` | `getCreatedBy()` Gets Client Id that created the nameWatch.
`java.util.Date` | `getCreatedDate()` Gets the date and time the nameWatch was created.
`java.util.Date` | `getExpirationDate()` Gets the expiration date and time of the nameWatch.
`java.util.Date` | `getLastTransferDate()` Gets the date and time of the last successful nameWatch transfer.
`java.lang.String` | `getLastUpdatedBy()` Gets the Client Id that last updated the nameWatch.
`java.util.Date` | `getLastUpdatedDate()` Gets the date and time of the last nameWatch update.
`java.lang.String` | `getName()` Gets the nameWatch name
`java.lang.String` | `getNamespace()` Gets the EPP command namespace associated with `EPPNameWatchInfoResp`.
`java.lang.String` | `getRegistrant()` Gets the nameWatch registrant
`java.lang.String` | `getRoid()` Gets roid.
`EPPNameWatchRptTo` | `getRptTo()` Gets the EPPNameWatchRptTo.
`java.util.Vector` | `getStatuses()` Get the current associated statuses
`java.lang.String` | `getType()` Gets the EPP response type associated with `EPPNameWatchInfoResp`.
`void` | `setAuthInfo(EPPAuthInfo newAuthInfo)` Sets authorization information
`void` | `setClientId(java.lang.String aClientId)` Sets the nameWatch owning Client Id.
`void` | `setCreatedBy(java.lang.String aCreatedBy)` Sets Client Id that created the nameWatch.
`void` | `setCreatedDate(java.util.Date aDate)` Sets the date and time the nameWatch was created.
`void` | `setExpirationDate(java.util.Date aExpirationDate)` Sets the expiration date and time of the nameWatch.
`void` | `setLastTransferDate(java.util.Date aLastTransferDate)` Sets the last date and time the nameWatch was successfully transferred.
`void` | `setLastUpdatedBy(java.lang.String aLastUpdatedBy)` Sets the Client Id that last updated the nameWatch.
`void` | `setLastUpdatedDate(java.util.Date aLastUpdatedDate)` Sets the last date and time the nameWatch was updated.
`void` | `setName(java.lang.String aName)` Sets the nameWatch name.
`void` | `setRegistrant(java.lang.String aRegistrant)` Sets the nameWatch registrant
`void` | `setRoid(java.lang.String newRoid)` Sets roid.
`void` | `setRptTo(EPPNameWatchRptTo aRptTo)` Sets the rptTo.
`void` | `setStatuses(java.util.Vector newStatuses)` Set associated statuses.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class com.verisign.epp.codec.gen.EPPResponse
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPNameWatchInfoResp

    public EPPNameWatchInfoResp()

  `EPPNameWatchInfoResp` default constructor. Must call required setter methods before invoking `encode`, which include:
  - transaction id - `setTransId`
  - name - `setName`
  - roid - `setRoid`
  - client id - `setClientId`

### EPPNameWatchInfoResp

    public EPPNameWatchInfoResp(EPPTransId aTransId,
                                java.lang.String aName)

  `EPPNameWatchInfoResp` default constructor. Must call required setter methods before invoking `encode`, which include:
  - roid - `setRoid`
  - client id - `setClientId`

  Parameters:
    `aTransId` - DOCUMENT ME!
    `aName` - DOCUMENT ME!

### EPPNameWatchInfoResp

    public EPPNameWatchInfoResp(EPPTransId aTransId,
                                java.lang.String aName,
                                java.lang.String aRoid,
                                java.lang.String aClientId)

  `EPPNameWatchInfoResp` constuctor that takes the required attribute values as parameters. The setter methods of the optional attributes can be called before invoking `encode`.

  Parameters:
    `aTransId` - Transaction Id associated with response.
    `aName` - NameWatch name
    `aRoid` - roid
    `aClientId` - Owning Client Id

### EPPNameWatchInfoResp

    public EPPNameWatchInfoResp(EPPTransId aTransId,
                                java.lang.String aName,
                                java.lang.String aRoid,
                                java.lang.String aRegistrant,
                                EPPNameWatchRptTo aRptTo,
                                java.util.Vector someStatuses,
                                java.lang.String aClientId,
                                java.lang.String aCreatedBy,
                                java.util.Date aCreatedDate,
                                java.util.Date aExpirationDate)

  `EPPNameWatchInfoResp` constuctor that takes the required and most used optional attribute values as parameters. The setter methods of the optional attributes can be called before invoking `encode`.

  Parameters:
    `aTransId` - Transaction Id associated with response.
    `aName` - NameWatch name
    `aRoid` - roid
    `aRegistrant` - NameWatch registrant
    `aRptTo` - EPPNameWatchRptTo rptTo
    `someStatuses` - Current status descriptors associated with the nameWatch.
    `aClientId` - Owning Client Id
    `aCreatedBy` - Client Id of Registrar that created the nameWatch
    `aCreatedDate` - Date the nameWatch was created
    `aExpirationDate` - Expirate date of the nameWatch

Method Detail

### getStatuses

    public java.util.Vector getStatuses()

  Get the current associated statuses

  Returns:
    NameWatch status

### setStatuses

    public void setStatuses(java.util.Vector newStatuses)

  Set associated statuses.

  Parameters:
    `newStatuses` - NameWatch status

### getType

    public java.lang.String getType()

  Gets the EPP response type associated with `EPPNameWatchInfoResp`.

  Overrides:
    `getType` in class `EPPResponse`
  Returns:
    `EPPNameWatchInfoResp.ELM_NAME`

### getNamespace

    public java.lang.String getNamespace()

  Gets the EPP command namespace associated with `EPPNameWatchInfoResp`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Overrides:
    `getNamespace` in class `EPPResponse`
  Returns:
    `EPPNameWatchMapFactory.NS`

### getRptTo

    public EPPNameWatchRptTo getRptTo()

  Gets the EPPNameWatchRptTo.

  Returns:
    instance of `EPPNameWatchRptTo` instances if defined; `null` otherwise.

### setRptTo

    public void setRptTo(EPPNameWatchRptTo aRptTo)

  Sets the rptTo.

  Parameters:
    `aRptTo` - of`EPPNameWatchRptTo`.

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPNameWatchInfoResp` with this instance.

  Overrides:
    `equals` in class `EPPResponse`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPNameWatchInfoResp`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPResponse`
  Returns:
    clone of `EPPNameWatchInfoResp`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPResponse`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### getName

    public java.lang.String getName()

  Gets the nameWatch name

  Returns:
    NameWatch Name if defined; `null` otherwise.

### setName

    public void setName(java.lang.String aName)

  Sets the nameWatch name.

  Parameters:
    `aName` - NameWatch Name

### setRegistrant

    public void setRegistrant(java.lang.String aRegistrant)

  Sets the nameWatch registrant

  Parameters:
    `aRegistrant` - NameWatch Registrant

### getRegistrant

    public java.lang.String getRegistrant()

  Gets the nameWatch registrant

  Returns:
    NameWatch Registrant if defined; `null` otherwise.

### getClientId

    public java.lang.String getClientId()

  Gets the nameWatch owning Client Id.

  Returns:
    Client Id

### setClientId

    public void setClientId(java.lang.String aClientId)

  Sets the nameWatch owning Client Id.

  Parameters:
    `aClientId` - Client Id

### getCreatedBy

    public java.lang.String getCreatedBy()

  Gets Client Id that created the nameWatch.

  Returns:
    Client Id if defined; `null` otherwise.

### setCreatedBy

    public void setCreatedBy(java.lang.String aCreatedBy)

  Sets Client Id that created the nameWatch.

  Parameters:
    `aCreatedBy` - Client Id that created the nameWatch.

### getCreatedDate

    public java.util.Date getCreatedDate()

  Gets the date and time the nameWatch was created.

  Returns:
    Date and time the nameWatch was created if defined; `null` otherwise.

### setCreatedDate

    public void setCreatedDate(java.util.Date aDate)

  Sets the date and time the nameWatch was created.

  Parameters:
    `aDate` - Date and time the nameWatch was created.

### getExpirationDate

    public java.util.Date getExpirationDate()

  Gets the expiration date and time of the nameWatch.

  Returns:
    Expiration date and time of the nameWatch if defined; `null` otherwise.

### setExpirationDate

    public void setExpirationDate(java.util.Date aExpirationDate)

  Sets the expiration date and time of the nameWatch.

  Parameters:
    `aExpirationDate` - Expiration date and time of the nameWatch.

### getLastUpdatedBy

    public java.lang.String getLastUpdatedBy()

  Gets the Client Id that last updated the nameWatch. This will be null if the nameWatch has not been updated since creation.

  Returns:
    Client Id that last updated the nameWatch has been updated; `null` otherwise.

### setLastUpdatedBy

    public void setLastUpdatedBy(java.lang.String aLastUpdatedBy)

  Sets the Client Id that last updated the nameWatch.

  Parameters:
    `aLastUpdatedBy` - Client Id String that last updated the nameWatch.

### getLastUpdatedDate

    public java.util.Date getLastUpdatedDate()

  Gets the date and time of the last nameWatch update. This will be `null` if the nameWatch has not been updated since creation.

  Returns:
    date and time of the last nameWatch update if defined; `null` otherwise.

### setLastUpdatedDate

    public void setLastUpdatedDate(java.util.Date aLastUpdatedDate)

  Sets the last date and time the nameWatch was updated.

  Parameters:
    `aLastUpdatedDate` - Date and time of the last nameWatch update.

### getLastTransferDate

    public java.util.Date getLastTransferDate()

  Gets the date and time of the last successful nameWatch transfer. This will be `null` if the nameWatch has not been successfully transferred since creation.

  Returns:
    date and time of the last successful transfer if defined; `null` otherwise.

### setLastTransferDate

    public void setLastTransferDate(java.util.Date aLastTransferDate)

  Sets the last date and time the nameWatch was successfully transferred.

  Parameters:
    `aLastTransferDate` - Date and time of the last succesful transfer

### getAuthInfo

    public EPPAuthInfo getAuthInfo()

  Gets authorization information

  Returns:
    Authorization information if defined; `null` otherwise;

### setAuthInfo

    public void setAuthInfo(EPPAuthInfo newAuthInfo)

  Sets authorization information

  Parameters:
    `newAuthInfo` - EPPAuthInfo

### getRoid

    public java.lang.String getRoid()

  Gets roid.

  Returns:
    NameWatch roid

### setRoid

    public void setRoid(java.lang.String newRoid)

  Sets roid.

  Parameters:
    `newRoid` - NameWatch roid

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPNameWatchInfoResp` instance.

  Overrides:
    `doEncode` in class `EPPResponse`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the EPPNameWatchInfoResp instance.
  Throws:
    `EPPEncodeException` - Unable to encode EPPNameWatchInfoResp instance.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the `EPPNameWatchInfoResp` attributes from the aElement DOM Element tree.

  Overrides:
    `doDecode` in class `EPPResponse`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPNameWatchInfoResp` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.